{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'updated' %}
        <div class="alert alert-success" role="alert">
            The editorial was updated successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while updating the editorial, contact the administrator!
        </div>
    {% elif control == 'errorExists' %}
        <div class="alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Editorial</h5>
        <div class="card-body">
            <h5 class="card-title">Update a editorial in the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'update_editorial' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">

                    {% for editorial in editorials %}
                        {% if forloop.first %}
                            <label for="inputEditorial_name" class="form-label">Editorial to update</label>
                            <select id="inputEditorial_name" name="inputEditorial_name" class="form-select mb-3">
                            <option selected>{{ editorial.name }}</option>
                        {% else %}
                            <option>{{ editorial.name }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no editorials to Update</h1>
                    {% endfor %}
                    </select>

                    {% if editorials %}
                        <div class="mb-3">
                            <label for="inputName" class="form-label">New editorial name</label>
                            <input type="text" class="form-control" name="inputName" id="inputName" aria-describedby="emailHelp" required>
                            <div id="nameHelp" class="form-text">This is the new name of the new editorial.</div>
                        </div>
                        <div class="mb-3">
                            <label for="inputAddress" class="form-label">Address</label>
                            <input type="text" class="form-control" name="inputAddress" id="inputAddress" required>
                            <div id="addressHelp" class="form-text">This is the new address of the new editorial.</div>
                        </div>
                        <div class="mb-3">
                            <label for="inputPhone" class="form-label">Phone</label>
                            <input type="text" class="form-control" name="inputPhone" id="inputPhone" required>
                            <div id="phonesHelp" class="form-text">This is the new phone of the new editorial.</div>
                        </div>
                    {% endif %}
                </div>
                {% if editorials %}
                    <button type="submit" class="btn btn-warning">Update</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'all_editorials' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
